import { useQuery } from '@apollo/client'
import { withRouter } from 'next/router'

import UserAdmin from '../../components/user/UserAdmin'

import { CURRENT_USER } from '../../components/user/graphql'

const UserAdminPage = () => {
  const { data, loading, error } = useQuery(CURRENT_USER)
  console.log('UserPage', data, loading, error && error.message)

  return (
    <UserAdmin />
  )
}

export default withRouter(UserAdminPage)
